Subject: RE: New Schema I-D Requested to be Posted to IETF Repository

From: "Durham, David" <[email-masked]>
Date: Wed, 19 May 1999 10:36:34 -0700

I agree as well. Furthermore, the core schema discussion is
starting to deteriorate into a convoluted architecture 
that cannot be consistently represented by all directory
implementations. The reason seems to be lack of a consistent
architecture picture that clearly states the role of the
directory. It's fine that different companies have directories
with differing capabilities. Nevertheless the we should
not specifically design for one over another!

If anyone needs a reminder of what LDAP compliant directories
are and are not supposed to do, please see:

http://www.data.com/issue/990207/ldap.html

Heavy use of auxiliary classes is also a bad design choice 
do to the fact LDAP lacks the notion of atomic transactions
across DNs. It seems like the proposed updates to the core
schema architecture will allow for database corruption, and
therefore a bad design given LDAP is the standard protocol
we should be using.

-Dave

> -----Original Message-----
> From:	Shai Herzog [SMTP:[email-masked]]
> Sent:	Wednesday, May 19, 1999 8:48 AM
> To:	Andrew Smith; 'Glenn Waters'; [email-masked]
> Subject:	RE: New Schema I-D Requested to be Posted to IETF Repository
> 
> I fully agree.
> 
> If my memory serves me right, we have gone through one interim meeting
> where the architecture was put aside and "progress" was declared only
> the core schema. At the MN IETF, we figured that we can't make progress
> w/o the architecture being done and agreed upon.
> 
> There is a reason why architectural document usually precede detailed ones
> (or at least come in parallel).  I suspect that the core schema wouldn't 
> get us far, on it's own. The lack of clear architectural documents would
> probably come to haunt us again when we try to move from core schema to
> QoS schema. (or other schemas). 
> 
> Furthermore, I don't really think that maintaining one of the proposed
> architecture document and changing a picture is good enough to create
> a consensus architecture. I suspect that this must be a collaborative
> work of the authors of both drafts to come up with something we can
> all live with. If we can't accomplish that, I don't see how we can move
> forward w/o bumping into this thing again and again.
> 
> Shai
> 
> At 10:14 AM 5/18/99, Andrew Smith wrote:
> >Glenn,
> >
> >I think that such a policy architecture/framework document goes
> hand-in-hand
> >with the schema draft. In fact, as I've said before, I think it actually
> >ought to predate any schema standards: if we cannot describe what we are
> >doing in words and ASCII pictures, without reference to specific schemas,
> >then I think we will have failed. 
> >
> >I'm really not interested in travelling all the way to Colorado to
> discuss
> >the details of schemas (surely that is a job for the mailing list, no?
> And
> >if people aren't that interested in resolving these details on the
> mailing
> >list then I guess they don't see much urgency in completing this task so
> why
> >the need for an interim meeting .... hmmm). But I *am* interested in
> getting
> >a common IETF architecture for this policy stuff documented. There are
> >several other standardisation efforts that are dependent on (and waiting
> >for) such a common architectural document.
> >
> >I'd encourage you to, with John-and-Ed's blessing of course, retitle your
> >draft as draft-ietf-policy-xxxxx and to gather in all the other
> >architectural material and opinions that have been presented to the WG in
> >drafts, presentations and mail messages (Silvano Gai, David Black, Keith
> >McCloghrie, Bob Moore, Evan McGinnis, David Blight, Hugh Mahon etc..). As
> >with the schema draft, if there are still differing opinions then these
> can
> >be enumerated in a single draft - this is much easier to comprehend that
> >having multiple separate private-author drafts and we'd all be eternally
> >grateful to you for performing this task. I don't think we'll make much
> >progress on the architectural side without such a unified draft. Let me
> know
> >if you need some help with this.
> >
> >My $.02
> >
> >Andrew
> >
> >****************************************************************
> >Andrew Smith                              tel: +1 (408) 579-2821
> >Extreme Networks                          fax: +1 (408) 579-3000
> >3585 Monroe St.                   http://www.extremenetworks.com
> >Santa Clara CA 95051-1450        em:  [email-masked]
> >****************************************************************
> >
> >
> >> -----Original Message-----
> >> From: Glenn Waters [mailto:[email-masked]]
> >> Sent: Tuesday, May 18, 1999 8:47 AM
> >> To: freichmeyer; [email-masked]
> >> Cc: Ed Ellesson
> >> Subject: RE: New Schema I-D Requested to be Posted to IETF Repository
> >> 
> >> 
> >> i am editing a new draft that should be available today.  it 
> >> is basically
> >> the same as draft-waters-policy-arch-00.txt with an additional picture
> >> showing an optional communication path for tranmitting policy 
> >> information
> >> within a system.  (the picture is identical to the one 
> >> presented at the
> >> minneapolis ietf).
> >> 
> >> like the schema draft the architecture draft is meant to get 
> >> a document out.
> >> there are still some issues that need to be discussed and 
> >> agreed upon --
> >> although there has been no discussion of the architecture 
> >> work on the list
> >> so how many issues can there really be :).
> >> 
> >> /gww
> >> 
> >> > -----Original Message-----
> >> > From: [email-masked]
> >> > [mailto:[email-masked]]On Behalf Of freichmeyer
> >> > Sent: Tuesday, May 18, 1999 11:00
> >> > To: Ed Ellesson; [email-masked]
> >> > Subject: Re: New Schema I-D Requested to be Posted to IETF 
> >> Repository
> >> >
> >> >
> >> > Is the interim meeting to discuss the architecture as well? 
> >> Is there a
> >> > new "combined" architecture draft, or is anyine woking on 
> >> one? How do
> >> > we get all the co-authors of the original drafts involved 
> >> in that process?
> >> >
> >> > Thanks,
> >> > -Fran
> >> >
> >> > At 09:46 AM 5/18/99 -0400, Ed Ellesson wrote:
> >> > >Hello,
> >> > >
> >> > >You should be seeing an I-D soon, which updates the core 
> >> policy schema
> >> > >draft to -03.  We should be able to get this to a publically
> >> > available site
> >> > >today, just in case it takes a few days to get into the IETF
> >> > repository.
> >> > >
> >> > >We need to let everyone know that this is still a work in
> >> > progress.  There
> >> > >is still contention among the contributors to the I-D, on 
> >> such topics as
> >> > >naming, using auxilliary classes to the extent that the 
> >> new draft uses
> >> > >them, and the new DIT navigation techniques that are in 
> >> the draft, along
> >> > >with the new object classes to facilitate these functions.  The
> >> > content of
> >> > >the draft is not meant to represent the consensus of the
> >> > contributors, but
> >> > >rather is meant to document a consistent set of approaches 
> >> that needs
> >> > >further debate to reach a consensus in this working group. 
> >>  We can't have
> >> > >the necessary discussion unless there is a proposal on the 
> >> table, so this
> >> > >I-D is meant to provide that.
> >> > >
> >> > >We are expecting spirited discussion on these and other 
> >> topics, on this
> >> > >list and at the interim meeting in Ft. Collins.
> >> > >
> >> > >I'll be sending out more info on the Ft. Collins meeting today.
> >> > Look for a
> >> > >note about a URL for the draft today as well.
> >> > >
> >> > >John and Ed
> >> > >
> >> > >Regards,
> >> > >
> >> > >Ed Ellesson
> >> > >Sr. Engineer, TCP/IP Technology Management
> >> > >IBM Networking Software Products
> >> > >Research Triangle Park, NC
> >> > >[email-masked]
> >> > >919-254-4115
> >> > >
> >> > ----
> >> > Francis Reichmeyer
> >> > Bay Architecture Lab
> >> > 978-916-3352
> >> > [email-masked]
> >> >
> >> >
> >> 
> 
> 
> __________________________________________________________
> Shai Herzog                  Founder & CTO, IPHighway Inc.         
> Cell: (408) 390-3045       http://www.iphighway.com/herzog           
> Tel : (201) 585-0800                  Fax : (212) 656-1006

---

From: "R. Rajan" <[email-masked]>
Date: Wed, 19 May 1999 16:46:24 -0400

David,

I agree with the spirit of your message regarding the need for a coherent
architecture, design, set of priorities and objectives. However, I am
perplexed by your assertion that the use of auxiliary classes somehow
exacerbates problems arising from LDAPs lack of atomic transactions. Perhaps
you could explain how the former makes the latter worse? Thanks,

raju rajan

----- Original Message -----
From: Durham, David <[email-masked]>
To: 'Shai Herzog' <[email-masked]>; Andrew Smith
<[email-masked]>; 'Glenn Waters' <[email-masked]>;
<[email-masked]>
Sent: Wednesday, May 19, 1999 1:36 PM
Subject: RE: New Schema I-D Requested to be Posted to IETF Repository